CK_EPOCH_REGISTER(3)

NAME
ck_epoch_register - register a thread for epoch reclamation

LIBRARY
Concurrency Kit (libck, -lck)

SYNOPSIS
#include <ck_epoch.h>
void
ck_epoch_register(ck_epoch_t *epoch, ck_epoch_record_t *record, void *cl);

DESCRIPTION
The ck_epoch_register(3) function associates a record object specified by the record pointer with the epoch object pointed to by epoch. Any thread or processor that will require safe memory reclamation guarantees must register a unique record object. After registration, the object pointed to by the record argument will have lifetime managed by the underlying epoch sub-system. The record object must not be destroyed after it is associated with a ck_epoch_register(3) call. An optional context pointer cl may be passed that is retrievable with the ck_epoch_record_ct(3) function.

RETURN VALUES
This function has no return value.

SEE ALSO
ck_epoch_init(3), ck_epoch_unregister(3), ck_epoch_recycle(3), ck_epoch_poll(3), ck_epoch_synchronize(3), ck_epoch_reclaim(3), ck_epoch_barrier(3), ck_epoch_call(3), ck_epoch_begin(3), ck_epoch_end(3)

Additional information available at http://concurrencykit.org/